%define		devversion	7

Name:		lemonpos
Version:	0.9.4
Release:	%mkrel -c rc%{devversion} 3
Summary:	Point of Sale software
License:	GPLv2+
Source0:	http://sourceforge.net/projects/lemonpos/files/citronic/%{name}-%{version}-rc%{devversion}.tar.bz2
Url:		http://www.lemonpos.org
Group:		Office/Finance

BuildRequires:	kdelibs4-devel

Requires:	kdebase4-common
Requires:	mysql
Requires:	%{name}-squeeze

%description
Lemon Is an open source Point of Sale software for micro, 
small and medium businesses. 
Supports many POS terminals with a single database on a network, 
and has been tested with Star Micronics Thermal/Parallel 
printers and Datalogic bar code readers.

%package squeeze
Summary:	Administrative interface of %{name}
Requires:	kdebase4-common
Requires:	mysql

%description squeeze
Administrative interface of %{name}.
With squeeze you can manage your store and 
get valuable information in which base your 
decisions to improve your business.
You have to create the lemon database using 
this command as root:

%prep
%setup -q -n %{name}

# notification
cat > README.install.urpmi << EOF
You have to create the lemon database before running the application.
You can use this command as root:
cat %{_kde_appsdir}/lemon/lemon_mysql.sql | mysql -u root -p

EOF

# squeeze exe already exists (provided by squeeze package)
# patching source to substitute squeeze by squeezelemon
find . -type f -exec sed -i -e 's|squeeze|squeezelemon|g' {} \;
mv ./squeeze ./squeezelemon
find . -name "*squeeze*" -type f -print > _tmp_
for i in `cat _tmp_`;
do
	directory=`dirname $i`;
	filename=`basename $i`;
	nwfilename=${filename//squeeze/squeezelemon};
	mv $i "$directory/$nwfilename";
done

%build
%{cmake_kde4}
%{make}

%install
rm -fr %{buildroot}
%makeinstall_std -C build
desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/kde4 \
	--add-category="Office" \
	%{buildroot}%{_datadir}/applications/kde4/lemon.desktop
desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/kde4 \
	--add-category="Office" \
	%{buildroot}%{_datadir}/applications/kde4/squeezelemon.desktop

%find_lang lemon
%find_lang squeezelemon

%files -f lemon.lang
%doc README.install.urpmi
%{_kde_bindir}/lemon
%{_kde_iconsdir}/hicolor/*/*/lemon*.png
%{_kde_datadir}/config.kcfg/lemon.kcfg
%{_kde_datadir}/config/lemonrc
%{_kde_appsdir}/lemon/*
%exclude %{_kde_appsdir}/lemon/lemon_mysql.sql
%{_kde_applicationsdir}/lemon.desktop

%files -f squeezelemon.lang squeeze
%{_kde_bindir}/squeezelemon
%{_kde_iconsdir}/hicolor/*/*/squeeze*.png
%{_kde_appsdir}/squeezelemon/*
%{_kde_datadir}/config.kcfg/squeezelemon.kcfg
%{_kde_applicationsdir}/squeezelemon.desktop
%{_kde_appsdir}/lemon/lemon_mysql.sql


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.9.4-0.rc7.3.mga4
+ Revision: 506886
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.4-0.rc7.2.mga3
+ Revision: 356749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 matteo <matteo> 0.9.4-0.rc7.1.mga3
+ Revision: 322803
- fixed group
- new version

* Thu Jan 05 2012 matteo <matteo> 0.9.3-4.mga2
+ Revision: 191889
+ rebuild (emptylog)

* Tue Dec 06 2011 matteo <matteo> 0.9.3-3.mga2
+ Revision: 177881
- added README.install.urpmi

* Tue Oct 25 2011 matteo <matteo> 0.9.3-2.mga2
+ Revision: 157923
- fixed some rpmlint warnings

* Fri Sep 30 2011 matteo <matteo> 0.9.3-1.mga2
+ Revision: 150403
- splitted into two packages
- fixed Source field
- changed sources to 0.9.3
- included mysql structure file required to build lemon and squeeze database
- added patch to avoid conflict with squeeze package
- imported package lemonpos

